<template>
  <div>
    <nav>
      <p className="text-sm text-gray-900 uppercase tracking-wide px-3 py-2">
        Menu Navigation
      </p>
      <!-- menu dashboard -->
      <Link
        :class="
          isUrl('app/dashboard')
            ? 'text-gray-600 bg-gray-100 transition-colors duration-200 transform'
            : 'text-gray-600 transition-colors duration-200 transform hover:bg-gray-100 hover:text-yellow-500'
        "
        class="flex items-center rounded px-4 py-3"
        :href="route('dashboard')"
      >
        <span
          :class="
            isUrl('app/dashboard')
              ? 'absolute inset-y-0 left-0 w-1 bg-yellow-500 rounded-tr-lg rounded-br-lg'
              : ''
          "
          aria-hidden="true"
        />
        <Icon
          :name="`dashboard`"
          :style="
            isUrl('app/dashboard') ? 'text-yellow-500 w-5 h-5' : 'w-5 h-5'
          "
        />
        <span
          :class="
            isUrl('app/dashboard')
              ? 'mx-4 text-yellow-500 font-medium italic'
              : 'mx-4 font-medium'
          "
        >
          Dashboard
        </span>
      </Link>

      <!-- <p
       className="text-sm text-gray-900 uppercase tracking-wide px-3 py-2">
        Master Data
      </p> -->

        <Link
        v-if="$page.props.auth.can.read_cashier"
        :class="
          isUrl('app/cashier')
            ? 'text-gray-600 bg-gray-100 transition-colors duration-200 transform'
            : 'text-gray-600 transition-colors duration-200 transform hover:bg-gray-100 hover:text-yellow-500'
        "
        class="flex items-center rounded px-4 py-3"
        :href="route('cashier')"
      >
        <span
          :class="
            isUrl('app/cashier')
              ? 'absolute inset-y-0 left-0 w-1 bg-yellow-500 rounded-tr-lg rounded-br-lg'
              : ''
          "
          aria-hidden="true"
        />
        <Icon
          :name="`user`"
          :style="isUrl('app/cashier') ? 'text-yellow-500 w-5 h-5' : 'w-5 h-5'"
        />
        <span
          :class="
            isUrl('app/cashier')
              ? 'mx-4 text-yellow-500 font-medium italic'
              : 'mx-4 font-medium'
          "
        >
          Cashier
        </span>
      </Link>
      

      <Link
        v-if="$page.props.auth.can.read_category"
        :class="
          isUrl('app/category')
            ? 'text-gray-600 bg-gray-100 transition-colors duration-200 transform'
            : 'text-gray-600 transition-colors duration-200 transform hover:bg-gray-100 hover:text-yellow-500'
        "
        class="flex items-center rounded px-4 py-3"
        :href="route('category')"
      >
        <span
          :class="
            isUrl('app/category')
              ? 'absolute inset-y-0 left-0 w-1 bg-yellow-500 rounded-tr-lg rounded-br-lg'
              : ''
          "
          aria-hidden="true"
        />
        <Icon
          :name="`category`"
          :style="isUrl('app/category') ? 'text-yellow-500 w-5 h-5' : 'w-5 h-5'"
        />
        <span
          :class="
            isUrl('app/category')
              ? 'mx-4 text-yellow-500 font-medium italic'
              : 'mx-4 font-medium'
          "
        >
          Category
        </span>
      </Link>

      <Link
        v-if="$page.props.auth.can.read_table"
        :class="
          isUrl('app/table')
            ? 'text-gray-600 bg-gray-100 transition-colors duration-200 transform'
            : 'text-gray-600 transition-colors duration-200 transform hover:bg-gray-100 hover:text-yellow-500'
        "
        class="flex items-center rounded px-4 py-3"
        :href="route('table')"
      >
        <span
          :class="
            isUrl('app/table')
              ? 'absolute inset-y-0 left-0 w-1 bg-yellow-500 rounded-tr-lg rounded-br-lg'
              : ''
          "
          aria-hidden="true"
        />
        <Icon
          :name="`table`"
          :style="isUrl('app/table') ? 'text-yellow-500 w-5 h-5' : 'w-5 h-5'"
        />
        <span
          :class="
            isUrl('app/table')
              ? 'mx-4 text-yellow-500 font-medium italic'
              : 'mx-4 font-medium'
          "
        >
          Table
        </span>
      </Link>

      <Link
        v-if="$page.props.auth.can.read_menu"
        :class="
          isUrl('app/menu')
            ? 'text-gray-600 bg-gray-100 transition-colors duration-200 transform'
            : 'text-gray-600 transition-colors duration-200 transform hover:bg-gray-100 hover:text-yellow-500'
        "
        class="flex items-center rounded px-4 py-3"
        :href="route('menu')"
      >
        <span
          :class="
            isUrl('app/menu')
              ? 'absolute inset-y-0 left-0 w-1 bg-yellow-500 rounded-tr-lg rounded-br-lg'
              : ''
          "
          aria-hidden="true"
        />
        <Icon
          :name="`menualt`"
          :style="isUrl('app/menu') ? 'text-yellow-500 w-5 h-5' : 'w-5 h-5'"
        />
        <span
          :class="
            isUrl('app/menu')
              ? 'mx-4 text-yellow-500 font-medium italic'
              : 'mx-4 font-medium'
          "
        >
          Menu
        </span>
      </Link>

      <div v-if="$page.props.auth.can.read_admin">
        <button
          @click="toggleDropdownTransaction = !toggleDropdownTransaction"
          class="
            flex
            w-full
            items-center
            rounded
            px-4
            py-3
            text-gray-600
            transition-colors
            duration-200
            transform
            hover:bg-gray-100
            hover:text-yellow-500
          "
        >
          <Icon :name="`transaction`" :style="'w-5 h-5'" />
          <span class="mx-2 font-medium">Transaction</span>
          <svg
            fill="currentColor"
            viewBox="0 0 20 20"
            class="absolute w-4 h-4 right-3 top-4"
          >
            <path
              fillRule="evenodd"
              d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z"
              clipRule="evenodd"
            ></path>
          </svg>
        </button>
        <div
          :class="{
            'right-0 w-full rounded-md shadow-lg': toggleDropdownTransaction,
            hidden: !toggleDropdownTransaction,
          }"
        >
          <div class="bg-white dark-mode:bg-gray-800">
            <Link
              :class="
                isUrl('app/order')
                  ? 'text-yellow-500'
                  : 'text-gray-600 hover:bg-gray-100 hover:text-yellow-500'
              "
              class="block px-11 py-3 transition-colors duration-200 transform"
              :href="route('order')"
            >
              Order List
            </Link>
          </div>

          <div class="bg-white dark-mode:bg-gray-800">
            <Link
              :class="
                isUrl('app/order/create')
                  ? 'text-yellow-500'
                  : 'text-gray-600 hover:bg-gray-100 hover:text-yellow-500'
              "
              class="block px-11 py-3 transition-colors duration-200 transform"
              :href="route('order.create')"
            >
              Order New
            </Link>
          </div>

        </div>
      </div>

      <div v-if="$page.props.auth.can.read_admin">
        <!-- 
        <p className="text-sm text-gray-900 uppercase tracking-wide px-3 py-2">
          Managment User
        </p> -->

        <button
          @click="toggleDropdown = !toggleDropdown"
          class="
            flex
            w-full
            items-center
            rounded
            px-4
            py-3
            text-gray-600
            transition-colors
            duration-200
            transform
            hover:bg-gray-100
            hover:text-yellow-500
          "
        >
          <Icon :name="`settings`" :style="'w-5 h-5'" />
          <span class="mx-2 font-medium">Settings</span>
          <svg
            fill="currentColor"
            viewBox="0 0 20 20"
            class="absolute w-4 h-4 right-3 top-4"
          >
            <path
              fillRule="evenodd"
              d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z"
              clipRule="evenodd"
            ></path>
          </svg>
        </button>
        <!-- :class="{
            'right-0 w-full rounded-md shadow-lg': toggleDropdown,
            hidden: !toggleDropdown,
          }" -->
        <div
          :class="{
            'right-0 w-full rounded-md shadow-lg': toggleDropdown,
            hidden: !toggleDropdown,
          }"
        >
          <div class="bg-white dark-mode:bg-gray-800">
            <Link
              :class="
                isUrl('app/permission')
                  ? 'text-yellow-500'
                  : 'text-gray-600 hover:bg-gray-100 hover:text-yellow-500'
              "
              class="block px-11 py-3 transition-colors duration-200 transform"
              :href="route('permission')"
            >
              Permissions
            </Link>
          </div>

          <div class="bg-white dark-mode:bg-gray-800">
            <Link
              :class="
                isUrl('app/role')
                  ? 'text-yellow-500'
                  : 'text-gray-600 hover:bg-gray-100 hover:text-yellow-500'
              "
              class="block px-11 py-3 transition-colors duration-200 transform"
              :href="route('role')"
            >
              Roles
            </Link>
          </div>

          <div class="bg-white dark-mode:bg-gray-800">
            <Link
              :class="
                isUrl('app/user')
                  ? 'text-yellow-500'
                  : 'text-gray-600 hover:bg-gray-100 hover:text-yellow-500'
              "
              class="block px-11 py-3 transform transition-colors duration-200"
              :href="route('user')"
            >
              Users Admin
            </Link>
          </div>
        </div>
      </div>

      <Link
        class="
          flex
          w-full
          items-center
          rounded
          px-4
          py-3
          text-gray-600
          transition-colors
          duration-200
          transform
          hover:bg-gray-100
          hover:text-red-500
        "
        :href="route('logout')"
        method="post"
        as="button"
      >
        <Icon :name="`logout`" :style="'w-5 h-5'" />
        <span class="mx-4 font-medium"> Logout </span>
      </Link>
    </nav>
  </div>
</template>
<script>
import { Link } from "@inertiajs/inertia-vue3";
import NavLinkSideBar from "@/Components/NavLinkSideBar.vue";
import Icon from "@/Components/Icon.vue";
export default {
  components: {
    Link,
    NavLinkSideBar,
    Icon,
  },
  data() {
    return {
      toggleDropdown: false,
      toggleDropdownTransaction: false,
    };
  },
  methods: {
    isUrl(...urls) {
      let currentUrl = this.$page.url.substr(1);
      if (urls[0] === "") {
        return currentUrl === "";
      }
      let urlActive = urls.filter((url) => currentUrl.startsWith(url)).length;
      return urlActive;
    },
  },
  watch: {},
  computed: {
    // classesActiveDropdown() {
    //   if (
    //     (this.route().current() === "permission" &&
    //       this.toggleDropdown === true) ||
    //     (this.route().current() === "role" && this.toggleDropdown === true) ||
    //     (this.route().current() === "user" && this.toggleDropdown === true)
    //   ) {
    //     return "right-0 w-full rounded-md shadow-lg";
    //   } else {
    //     return "hidden";
    //   }
    // },
  },
};
</script>
<style>
</style>